# Bheem Suttipong
# 6210546005

require 'nokogiri'
require 'httparty'

def print_stock
  url = 'https://www.set.or.th/set/commonslookup.do'
  unparsed_page = HTTParty.get(url)
  parsed_page = Nokogiri::HTML(unparsed_page.body)

  pagination_urls = []
  pagination_lists = parsed_page.css('div.col-xs-12.padding-top-10.text-center.capital-letter').children.css('a')
  pagination_lists.each do |page_list|
    pagination_urls << "https://www.set.or.th#{page_list.attributes['href'].value}"
  end

  pagination_urls.each do |pagination_url|
    pagination_unparsed_page = HTTParty.get(pagination_url)
    pagination_parsed_page = Nokogiri::HTML(pagination_unparsed_page.body)
    set_lists = pagination_parsed_page.css('tr')

    set_lists.drop(1).each do |set_list|
      set_url = "https://www.set.or.th#{set_list.children.children[0]['href']}"
      set_unparsed_page = HTTParty.get(set_url)
      set_parsed_page = Nokogiri::HTML(set_unparsed_page.body)

      set_table_url = "https://www.set.or.th#{set_parsed_page.css('ul.nav.nav-tabs.set-nav-tabs').children.css('a')[1]
                                                .attributes['href'].value}"
      set_table_unparsed_page = HTTParty.get(set_table_url)
      set_table_parsed_page = Nokogiri::HTML(set_table_unparsed_page.body)

      name = set_table_parsed_page.css('h3').text
      total = set_table_parsed_page.css('tbody').css('tr')[1].css('td')[-2].text

      puts "#{name} : #{total}"
    end
  end
end

print_stock